# Uses of Interface
org.eclipse.emf.compare.match.IMatchEngine.Factory

Packages that use IMatchEngine.Factory
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.match

## Uses of IMatchEngine.Factory in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match that return IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
IMatchEngine.Factory.Registry.`add(IMatchEngine.Factory matchEngineFactory)`
Add to the registry the given `IMatchEngine.Factory`.
`IMatchEngine.Factory`
IMatchEngine.Factory.Registry.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`IMatchEngine.Factory`
IMatchEngine.Factory.Registry.`remove(String className)`
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .
Methods in org.eclipse.emf.compare.match that return types with arguments of type IMatchEngine.Factory
Modifier and Type
Method
Description
`List<IMatchEngine.Factory>`
IMatchEngine.Factory.Registry.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
Methods in org.eclipse.emf.compare.match with parameters of type IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
IMatchEngine.Factory.Registry.`add(IMatchEngine.Factory matchEngineFactory)`
Add to the registry the given `IMatchEngine.Factory`.

## Uses of IMatchEngine.Factory in org.eclipse.emf.compare.match.impl

Classes in org.eclipse.emf.compare.match.impl that implement IMatchEngine.Factory
Modifier and Type
Class
Description
`class`
`MatchEngineFactoryImpl`
The default implementation of the `IMatchEngine.Factory.Registry`.
Methods in org.eclipse.emf.compare.match.impl that return IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryImpl.`add(IMatchEngine.Factory filter)`
Add to the registry the given `IMatchEngine.Factory`.
`IMatchEngine.Factory`
MatchEngineFactoryRegistryImpl.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`IMatchEngine.Factory`
MatchEngineFactoryRegistryImpl.`remove(String className)`
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .
Methods in org.eclipse.emf.compare.match.impl that return types with arguments of type IMatchEngine.Factory
Modifier and Type
Method
Description
`List<IMatchEngine.Factory>`
MatchEngineFactoryRegistryImpl.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
Methods in org.eclipse.emf.compare.match.impl with parameters of type IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryImpl.`add(IMatchEngine.Factory filter)`
Add to the registry the given `IMatchEngine.Factory`.

## Uses of IMatchEngine.Factory in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IMatchEngine.Factory
Modifier and Type
Method
Description
`IItemRegistry<IMatchEngine.Factory>`
EMFCompareRCPPlugin.`getMatchEngineFactoryDescriptorRegistry()`
Returns the match engine factory registry to which extension will be registered.

## Uses of IMatchEngine.Factory in org.eclipse.emf.compare.rcp.internal.match

Classes in org.eclipse.emf.compare.rcp.internal.match that implement IMatchEngine.Factory
Modifier and Type
Class
Description
`class`
`DefaultRCPMatchEngineFactory`
Implementation of `IMatchEngine.Factory` for the `DefaultMatchEngine` that can be configured.
Methods in org.eclipse.emf.compare.rcp.internal.match that return IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryWrapper.`add(IMatchEngine.Factory factory)`
Add to the registry the given `IMatchEngine.Factory`.
`IMatchEngine.Factory`
MatchEngineFactoryRegistryWrapper.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`IMatchEngine.Factory`
MatchEngineFactoryDescriptor.`getItem()`
Create an item.
`IMatchEngine.Factory`
MatchEngineFactoryRegistryWrapper.`remove(String className)`
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.internal.match that return types with arguments of type IMatchEngine.Factory
Modifier and Type
Method
Description
`List<IMatchEngine.Factory>`
MatchEngineFactoryRegistryWrapper.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
Methods in org.eclipse.emf.compare.rcp.internal.match with parameters of type IMatchEngine.Factory
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryWrapper.`add(IMatchEngine.Factory factory)`
Add to the registry the given `IMatchEngine.Factory`.
Constructor parameters in org.eclipse.emf.compare.rcp.internal.match with type arguments of type IMatchEngine.Factory
Modifier
Constructor
Description
``
`MatchEngineFactoryRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IMatchEngine.Factory> registry)`
Creates a new registry listener with the given match engine factory registry to which extension will be registered.
``
`MatchEngineFactoryRegistryWrapper(IItemRegistry<IMatchEngine.Factory> registry)`
Constructor.